Learning SAS? Welcome to the exclusive online community for all SAS learners.

Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

Accepted Solution Solved
Reply
New Contributor msm
New Contributor
Posts: 2
Accepted Solution

Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

Have been following the guide to installing SAS- comletely new to both SAS and VirtualBox. I have followed the instructions for downloading VirtualBox and SAS (University Edition). When I "Import appliance" in VirtualBox, select the SAS file in my downloads folder, click Open and then Continue I get the following error message:

 

Failed to open/interpret appliance

Error in (line 71) -- Required Machine/@version attribute is missing.

/Users/vbox/tinderbox/mac-rel/out/darwin.amd64/release/obj/VBoxAPIWrap/ApplianceWrap.cpp[387] (virtual nsresult ApplianceWrap::Interpret()).

 

I'm using a Mac, OS X Version: 10.10.5. 

 

I'm guessing there is something obvious I am doing wrong but have searched online and cant find anything on this error message at all.

 

Any help greatly appreciated!

 

 

 

 

 

Accepted Solutions
Solution
‎08-17-2016 06:03 PM
SAS Super FREQ
Posts: 361

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

[ Edited ]

Hi, @msm. The newest version of VirtualBox released by Oracle has a problem with the SAS University Edtion OVA file. For the time being, please uninstall version 5.1.4 if you have it installed and instead use version 5.1.0 available here:

https://www.virtualbox.org/wiki/Download_Old_Builds_5_1

 

We will continue to monitor the situation and update documentation as warranted.

 

Randy

View solution in original post


All Replies
Learner
Posts: 1

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

I'm having the same EXACT problem. Glad I'm not alone but wishing I could find a solution.

SAS Super FREQ
Posts: 361

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

Hi, @Darold. Just making sure you saw the solution to this problem: Uninstall version 5.1.4 of VirtualBox and install 5.1.0 from https://www.virtualbox.org/wiki/Download_Old_Builds_5_1 That will do it!

 

Thanks,

Randy

Solution
‎08-17-2016 06:03 PM
SAS Super FREQ
Posts: 361

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

[ Edited ]

Hi, @msm. The newest version of VirtualBox released by Oracle has a problem with the SAS University Edtion OVA file. For the time being, please uninstall version 5.1.4 if you have it installed and instead use version 5.1.0 available here:

https://www.virtualbox.org/wiki/Download_Old_Builds_5_1

 

We will continue to monitor the situation and update documentation as warranted.

 

Randy

New Contributor msm
New Contributor
Posts: 2

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

 Thanks a lot- that worked!

New Contributor
Posts: 2

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

Ok, that's a great solution for THIS problem...but I uninstalled the older VirtualBox to download the newest version because that was supposed to solve another problem: inability to connect to the localhost100080! Another thread told me to install the newest version of virtual box to fix that!

 

You can see why I'm a bit frustrated that I can't use R for my statistics course...this is craziness!

SAS Super FREQ
Posts: 361

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

Hi, @slimyfrog. VirtualBox had an issue in version 5.1.0. It worked but required a workaround. They (Oracle, that is) addressed this in version 5.1.2. Another issue then cropped up in version 5.1.4.

 

We are recommending version 5.1.2 available here:

https://www.virtualbox.org/wiki/Download_Old_Builds_5_1

 

Believe me, we haven't enjoyed these disruptions, especially since SAS University Edition is for learners who don't really have time to spend on these issues.

 

You are welcome to call SAS Technical Support 919-677-8008 to speak with someone about installing SAS University Edition if you are still having problems (or you can send email to support@sas.com).

 

Thanks!

Randy

New Contributor
Posts: 2

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

Hahaha I totally get it. Thanks Randy!

##- Please type your reply above this line. Simple formatting, no
attachments. -##
New User
Posts: 1

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

Hi @RandyMullis

 

I had the exact same problem, downloaded the 5.1.2 version and it worked! Thank you! 

Frequent Learner
Posts: 1

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

Hi! I downgraded VirtualBox to 5.1.0 and I could install SAS University Edition. But now VirtualBox is always asking me to upgrade to 5.1.4. Is this issue only on instalation? If I upgrade vitualbox to 5.1.4 will I be able to use SAS?

SAS Super FREQ
Posts: 361

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

Hi, @arthurgouveia. There is an issue if you install 5.1.4 and then try to import the SAS University Edition OVA file. I don't know what would happen if you upgrade an already-existing virtual machine; I suspect all would be well but wouldn't want to advise you without testing.

 

If I were you, I would just continue to use 5.1.0 if that is working. Generally, you want to be using the latest release but this have proven  problematic for VirtualBox 5.1.4.

 

So, just stay where you are for now and continue to learn and be productive! I won't speculate on future VirtualBox releases. 

 

Thanks,

Randy

Occasional Contributor
Posts: 14

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

H

 

I have virtualbox 5.1.6 .. still I'm not able to import SAS to it

Shal I uninstall this as well and install the recommended version?

 

Please help

 

 

Learner
Posts: 1

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

Hello guys,

 

I just updated my VirtualBox to the 5.1.6 version and the OVA worked fine.

 

I have a Mac Air and no issues so far with the SAS University Version vAPP with this new VirtualBox version.

 

Rgs,

 

Geraldo.

SAS Super FREQ
Posts: 361

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

Hi, @deepikaS. That version should work fine. Can you tell us what error you are seeing when you try to import the OVA file and/or start the virtual machine?

 

Randy

Occasional Contributor
Posts: 14

Re: Importing SAS to VirtualBox error- Required Machine/@version attribute is missing

please find attached the screenshot below


Screen Shot 2016-10-17 at 10.30.09 PM.png
☑ This topic is SOLVED.

Need further help from the community? Please ask a new question.

Discussion stats
  • 43 replies
  • 3197 views
  • 12 likes
  • 11 in conversation